import { AppConfigService } from './app-config.service';
import { OrganizationService } from './organization.service';
import { ResourceService } from './resource.service';
import { FormatService } from './format.service';
import { NotificationService } from './notification.service';
import { DataLogsService } from './data-logs.service';
import { NavigationHistoryService } from './navigation-history.service';

export {
  AppConfigService,
  OrganizationService,
  ResourceService,
  FormatService,
  NotificationService,
  DataLogsService,
  NavigationHistoryService,
};

// tslint:disable-next-line:variable-name
export const AppServices = [
  AppConfigService,
  OrganizationService,
  ResourceService,
  FormatService,
  NotificationService,
  DataLogsService,
  NavigationHistoryService,
];
